Bug 5676 - [UPDATE REQUEST] kdenlive 0.9.10 -> 15.04.1, mlt 0.9.0 -> 0.9.6
: [UPDATE REQUEST] kdenlive 0.9.10 -> 15.04.1, mlt 0.9.0 -> 0.9.6
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-01 19:47 MSD by Andrey Bondrov
Modified: 2015-06-23 13:47 MSD (History)
2 users (show)

See Also:
RPM Package: kdenlive
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments
ss5 (250.53 KB, image/png)
2015-06-10 20:48 MSD, Vladimir Potapov
Details
ss6 (249.84 KB, image/png)
2015-06-11 15:22 MSD, Vladimir Potapov
Details
ss8 (223.87 KB, image/png)
2015-06-11 15:24 MSD, Vladimir Potapov
Details
kdenlive.po (407.61 KB, text/x-gettext-translation)
2015-06-16 21:39 MSD, Vladimir Potapov
Details
new version (401.46 KB, text/x-gettext-translation)
2015-06-17 19:51 MSD, Vladimir Potapov
Details
И еще чуть подправленный файл (401.58 KB, text/x-gettext-translation)
2015-06-17 21:21 MSD, Vladimir Potapov
Details
Исправил еще начальный мастер и группировку эффектов (401.53 KB, text/x-gettext-translation)
2015-06-18 21:17 MSD, Vladimir Potapov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-06-01 19:47:44 MSD
We need to build new version of Kdenlive. It uses KF5/Qt5 now, so we also need to update mlt from 0.9.0 to 0.9.6.
Comment 1 Andrey Bondrov 2015-06-01 19:50:35 MSD
mlt:

Advisory: "New version 0.9.6. Switch from Qt4 to Qt5."
https://abf.rosalinux.ru/build_lists/2506568
https://abf.rosalinux.ru/build_lists/2506569

kdenlive: 

Advisory: "New version 15.04.1. Switch from KDE4/Qt4 to KF5/Qt5."
https://abf.rosalinux.ru/build_lists/2506590
https://abf.rosalinux.ru/build_lists/2506591

synfig:

Advisory: "Rebuild against mlt 0.9.6"
https://abf.rosalinux.ru/build_lists/2506586
https://abf.rosalinux.ru/build_lists/2506587

Please note that synfig is a Contrib package.
Comment 2 Andrey Bondrov 2015-06-04 13:57:11 MSD
Meanwhile new version of kdenlive was released.

kdenlive: 

Advisory: "New version 15.04.2. Switch from KDE4/Qt4 to KF5/Qt5."
https://abf.rosalinux.ru/build_lists/2507179
https://abf.rosalinux.ru/build_lists/2507180
Comment 3 Vladimir Potapov 2015-06-04 21:35:04 MSD
1) Локализация очень кусочна, особенно в настройках
2) Не подхватывает программу воспроизведения хотя вроде тащит xine
Comment 4 Vladimir Potapov 2015-06-04 21:44:05 MSD
3) Кнопки в выборе программ в настройках просто не нажимаются
********************
QA Denied
Comment 5 Andrey Bondrov 2015-06-05 03:14:06 MSD
А заведи баг локализации на Юлю?
Comment 6 Vladimir Potapov 2015-06-05 06:36:56 MSD
(In reply to comment #5)
> А заведи баг локализации на Юлю?
http://bugs.rosalinux.ru/show_bug.cgi?id=5730
Comment 7 Vladimir Potapov 2015-06-10 20:48:45 MSD
Created attachment 4090 [details]
ss5

Вот как выглядит по-дефолту диалог выбора программ в старом KDEnlive (с нажатой кнопкой, которая теперь не нажимается в новом)
Comment 8 Andrey Bondrov 2015-06-10 22:13:50 MSD
(In reply to comment #7)
> Created attachment 4090 [details]
> ss5
> 
> Вот как выглядит по-дефолту диалог выбора программ в старом KDEnlive (с
> нажатой кнопкой, которая теперь не нажимается в новом)

Это я исправил локально. Пока не буду собирать для QA, т.к. всё равно надо локализацию исправлять ещё.
Comment 9 Andrey Bondrov 2015-06-11 09:17:16 MSD
Хотя лучше пусть будут билд-листы, где это исправлено. А то может ещё что-то надо будет править в этом направлении.

https://abf.rosalinux.ru/build_lists/2509167
https://abf.rosalinux.ru/build_lists/2509168
Comment 10 Vladimir Potapov 2015-06-11 15:22:59 MSD
Created attachment 4092 [details]
ss6

По-умолчанию на кнопках диалогов иконки, хотя исползуется стандартная тема KDE и так не должно быть.
Comment 11 Vladimir Potapov 2015-06-11 15:24:29 MSD
Created attachment 4093 [details]
ss8

В диалоге открытия не переведено "Opening....". и значок папки проекта не от Росы.
Comment 12 Vladimir Potapov 2015-06-11 15:28:50 MSD
Ставлю при сборке галку "Воспроизвести после сборки". В окружении программой воспроизведения выбран rosa-media-player. Ничего почему-то не запускается.
Comment 13 Andrey Bondrov 2015-06-11 15:29:34 MSD
(In reply to comment #10)
> По-умолчанию на кнопках диалогов иконки, хотя исползуется стандартная тема
> KDE и так не должно быть.

Ну это совсем уж минорная проблема. Я даже не вижу, что там не так, могу только догадываться. А вот с "Opening..." поразбираюсь. И с иконкой папки проекта. Может там хардкод иконки из Oxygen.
Comment 14 Vladimir Potapov 2015-06-16 21:39:46 MSD
Created attachment 4111 [details]
kdenlive.po

Там довольно много оказалось непереведенного или переведенного очень криво.
Сделал то, что в глаза бросалось
Comment 15 Andrey Bondrov 2015-06-17 10:18:37 MSD
(In reply to comment #14)
> Created attachment 4111 [details]
> kdenlive.po
> 
> Там довольно много оказалось непереведенного или переведенного очень криво.
> Сделал то, что в глаза бросалось

Посмотри, как будет с этим вариантом kde5-l10n:

https://abf.rosalinux.ru/build_lists/2511605
https://abf.rosalinux.ru/build_lists/2511606
Comment 16 Vladimir Potapov 2015-06-17 19:51:32 MSD
Created attachment 4113 [details]
new version

Сделал на основе po из исходников
Comment 17 Andrey Bondrov 2015-06-17 20:11:54 MSD
(In reply to comment #16)
> Created attachment 4113 [details]
> new version
> 
> Сделал на основе po из исходников

Ну теперь надо проверить результат:

https://abf.rosalinux.ru/build_lists/2511869
https://abf.rosalinux.ru/build_lists/2511870
Comment 18 Vladimir Potapov 2015-06-17 21:21:14 MSD
Created attachment 4114 [details]
И еще чуть подправленный файл
Comment 19 Vladimir Potapov 2015-06-17 21:23:13 MSD
Из замечаний - не работают пункты меню
Настройка - стили оформления - конфигурация (параметры)
и
Монитор-Полноэкранный режим монитора
Comment 20 Andrey Bondrov 2015-06-18 03:14:01 MSD
(In reply to comment #18)
> Created attachment 4114 [details]
> И еще чуть подправленный файл

Билд-листы:

https://abf.rosalinux.ru/build_lists/2512000
https://abf.rosalinux.ru/build_lists/2512001
Comment 21 Vladimir Potapov 2015-06-18 11:27:57 MSD
Да, с таким переводом уже можно выпускать.
Еще замечание - в диалогах открытия-сохранения видны скрытые папки (с точкой)
Comment 22 Andrey Bondrov 2015-06-18 11:41:31 MSD
(In reply to comment #21)
> Да, с таким переводом уже можно выпускать.
> Еще замечание - в диалогах открытия-сохранения видны скрытые папки (с точкой)

Хорошо, отправил kde5-l10n публиковаться.
Comment 23 Vladimir Potapov 2015-06-18 14:29:32 MSD
Попробовал, на чистой системе не подхватывается только ROMP
Очень прошу подключить dvdauthor. Всего 600 кб и не будет пары ошибок - одной в меню при вызове, одной при установке и запуске мастера настройки.
Мастер настройки-то все при установке прогонят, это очень заметно.
И по-хорошему вместо xine должен проверяться в мастере romp
Comment 24 Andrey Bondrov 2015-06-18 15:59:16 MSD
(In reply to comment #23)
> Попробовал, на чистой системе не подхватывается только ROMP

Попробую починить, но если не будет новостей про это, то одобряй так.

> Очень прошу подключить dvdauthor. Всего 600 кб и не будет пары ошибок -
> одной в меню при вызове, одной при установке и запуске мастера настройки.
> Мастер настройки-то все при установке прогонят, это очень заметно.
> И по-хорошему вместо xine должен проверяться в мастере romp

Он не нужен в принципе. 2015 год всё-таки уже, а не 2005-й.
Comment 25 Vladimir Potapov 2015-06-18 16:10:50 MSD
(In reply to comment #24)
> (In reply to comment #23)
> > Попробовал, на чистой системе не подхватывается только ROMP
> 
> Попробую починить, но если не будет новостей про это, то одобряй так.
> 
> > Очень прошу подключить dvdauthor. Всего 600 кб и не будет пары ошибок -
> > одной в меню при вызове, одной при установке и запуске мастера настройки.
> > Мастер настройки-то все при установке прогонят, это очень заметно.
> > И по-хорошему вместо xine должен проверяться в мастере romp
> 
> Он не нужен в принципе. 2015 год всё-таки уже, а не 2005-й.
Ну, если разработчики KDEnlive не выкинули этот функционал даже в версии для KDEF5 - наше дело его обеспечить все ж таки если предусмотрен. Это ведь очень недорого стоит. Иначе тогда нужно выпиливать проверки из мастера, некрасиво ведь, выглядит будто забыли в образ положить.
Comment 26 Andrey Bondrov 2015-06-18 17:20:00 MSD
Новые билд-листы для kdenlive, исправил мастер проверки приложений и видеопроигрыватель по умолчанию.

https://abf.rosalinux.ru/build_lists/2512181
https://abf.rosalinux.ru/build_lists/2512182
Comment 27 Vladimir Potapov 2015-06-18 21:17:51 MSD
Created attachment 4123 [details]
Исправил еще начальный мастер и группировку эффектов
Comment 28 Vladimir Potapov 2015-06-18 21:19:14 MSD
The update is sent to expanded testing
***************************************
Comment 29 Andrey Bondrov 2015-06-19 03:27:30 MSD
(In reply to comment #27)
> Created attachment 4123 [details]
> Исправил еще начальный мастер и группировку эффектов

Добавил, опубликовал.
Comment 30 Vladimir Potapov 2015-06-19 06:55:27 MSD
ага, и полноэкранный режим заработал!
Comment 31 Vladimir Potapov 2015-06-22 14:24:18 MSD
kdenlive-15.04.2-3
https://abf.rosalinux.ru/build_lists/2512181
https://abf.rosalinux.ru/build_lists/2512182

mlt-0.9.6-1
https://abf.rosalinux.ru/build_lists/2506568
https://abf.rosalinux.ru/build_lists/2506569

synfig-1.0-2
https://abf.rosalinux.ru/build_lists/2506586
https://abf.rosalinux.ru/build_lists/2506587
*************************** Advisory *************************
mlt: New version 0.9.6. Switch from Qt4 to Qt5
kdenlive: New version 15.04.1. Switch from KDE4/Qt4 to KF5/Qt5.
synfig: Rebuild against mlt 0.9.6
**************************************************************
QA Verified